SettingsResourceBundle (Neo4j Community 1.8.RC1 API)
Date: 2012-09-07

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.neo4j.graphdb.factory
Class SettingsResourceBundle

    java.lang.Object
      java.util.ResourceBundle
          org.neo4j.graphdb.factory.SettingsResourceBundle

Direct Known Subclasses:
  GraphDatabaseSettingsResourceBundle

Deprecated.

    @Deprecated
    public class SettingsResourceBundle

extends ResourceBundle

ResourceBundle for classes that use GraphDatabaseSetting, which use reflection to find its values. This allows us to keep the descriptions in the Java code, so they are available in JavaDoc. This is deprecated, because it is due to be moved to the internal API.

Nested Class Summary

Nested classes/interfaces inherited from class java.util.ResourceBundle
`ResourceBundle.Control`

Field Summary

Fields inherited from class java.util.ResourceBundle
`parent`

Constructor Summary
`SettingsResourceBundle(Class settingsClass)` Deprecated.

Method Summary
`Enumeration<String>` | `getKeys()` Deprecated.
`protected Object` | `handleGetObject(String key)` Deprecated.
`Set<String>` | `keySet()` Deprecated.

Methods inherited from class java.util.ResourceBundle
`clearCache, clearCache, containsKey, getBundle, getBundle, getBundle, getBundle, getBundle, getBundle, getLocale, getObject, getString, getStringArray, handleKeySet, setParent`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### SettingsResourceBundle

    public SettingsResourceBundle(Class settingsClass)

  Deprecated.

Method Detail

### handleGetObject

    protected Object handleGetObject(String key)

  Deprecated.
  Specified by:
    `handleGetObject` in class `ResourceBundle`

### getKeys

    public Enumeration<String> getKeys()

  Deprecated.
  Specified by:
    `getKeys` in class `ResourceBundle`

### keySet

    public Set<String> keySet()

  Deprecated.
  Overrides:
    `keySet` in class `ResourceBundle`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| Neo4j Community
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2002-2012 The Neo4j Graph Database Project. All Rights Reserved.